Name: x11-driver-video-sisusb
Version: 0.9.7
Release: %mkrel 6
Summary: The X.org video driver for SiS video chips connected via a Net2280-based USB dongle
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-sisusb-%{version}.tar.bz2
License: MIT
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: xorg-x11-server < 7.0

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
x11-driver-video-sisusb is the X.org video driver for SiS video chips
connected via a Net2280-based USB dongle.

%prep
%setup -q -n xf86-video-sisusb-%{version}
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc COPYING
%{_libdir}/xorg/modules/drivers/sisusb_drv.so
%{_mandir}/man4/sisusb.*




%changelog
* Fri Apr 01 2022 umeabot <umeabot> 0.9.7-6.mga9
+ Revision: 1838049
- Mageia 9 Mass Rebuild

* Sat Oct 16 2021 tv <tv> 0.9.7-5.mga9
+ Revision: 1751723
- Rebuild for X.org 21.1
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 0.9.7-4.mga8
+ Revision: 1518560
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.9.7-3.mga7
+ Revision: 1301772
- Mageia 7 Mass Rebuild

* Fri Mar 09 2018 tv <tv> 0.9.7-2.mga7
+ Revision: 1207723
- rebuild for xserver 1.20 RC1

* Wed Jan 18 2017 tv <tv> 0.9.7-1.mga6
+ Revision: 1082234
- new release

* Fri Nov 18 2016 tv <tv> 0.9.6-18.mga6
+ Revision: 1068136
- fix build: use compat API
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 0.9.6-16.mga6
+ Revision: 1043290
- rebuild for xorg-server 1.18.4

* Wed Feb 17 2016 umeabot <umeabot> 0.9.6-15.mga6
+ Revision: 963423
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 0.9.6-14.mga6
+ Revision: 902317
- submit to core/release

* Wed Nov 11 2015 tv <tv> 0.9.6-13.mga6
+ Revision: 902069
- rebuild for new xserver

* Sat Jun 20 2015 tv <tv> 0.9.6-12.mga6
+ Revision: 836048
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 0.9.6-11.mga5
+ Revision: 748088
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.6-10.mga5
+ Revision: 690458
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 0.9.6-9.mga5
+ Revision: 635054
- submit to core/release

* Fri Jun 06 2014 tv <tv> 0.9.6-8.mga5
+ Revision: 633699
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 0.9.6-7.mga5
+ Revision: 614389
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 0.9.6-6.mga5
+ Revision: 582363
- patch 0: fix build with xserver-1.14

* Sat Oct 19 2013 umeabot <umeabot> 0.9.6-5.mga4
+ Revision: 525496
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 0.9.6-4.mga4
+ Revision: 433201
- submit to core/release

* Fri May 24 2013 tv <tv> 0.9.6-3.mga4
+ Revision: 425929
- patch 0: fix build with xserver-1.14

* Mon Jan 14 2013 umeabot <umeabot> 0.9.6-3.mga3
+ Revision: 386026
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 0.9.6-2.mga3
+ Revision: 288975
- rebuild for new xserver

* Mon Jul 23 2012 tv <tv> 0.9.6-1.mga3
+ Revision: 273772
- new release

* Thu Jul 12 2012 tv <tv> 0.9.5-1.mga3
+ Revision: 270230
- new release

* Wed Jun 06 2012 tmb <tmb> 0.9.4-10.mga3
+ Revision: 256486
- rebuild for core/release

* Wed Jun 06 2012 tmb <tmb> 0.9.4-9.mga3
+ Revision: 256287
- update to git 2012-06-06 snapshot (P1)
+ tv <tv>
- rebuild b/c of ia32 failure
- rebuild for new X.org server

* Tue Dec 06 2011 tmb <tmb> 0.9.4-6.mga2
+ Revision: 177667
- submit to core/release

* Sat Oct 08 2011 tv <tv> 0.9.4-5.mga2
+ Revision: 153134
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 0.9.4-4.mga1
+ Revision: 64416
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 0.9.4-3.mga1
+ Revision: 50309
- imported package x11-driver-video-sisusb


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 0.9.4-3mdv2011.0
+ Revision: 595744
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 0.9.4-2mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Tue Jul 20 2010 Thierry Vignaud <tv@mandriva.org> 0.9.4-1mdv2011.0
+ Revision: 555159
- new release

* Wed Aug 05 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.3-1mdv2010.0
+ Revision: 410355
- Update to new version 0.9.3
- Use %%configure2_5x to fix build

* Fri Jul 03 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 0.9.2-1mdv2010.0
+ Revision: 391933
- update to new version 0.9.2

* Fri Feb 27 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 0.9.1-1mdv2009.1
+ Revision: 345695
- Fix build with -Werror=format-security

  + Thierry Vignaud <tv@mandriva.org>
    - new release
    - fix group

  + Colin Guthrie <cguthrie@mandriva.org>
    - Rebuild for new xserver

* Sat Nov 29 2008 Adam Williamson <awilliamson@mandriva.org> 0.9.0-3mdv2009.1
+ Revision: 308176
- rebuild for new X server

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.9.0-2mdv2009.0
+ Revision: 265948
- rebuild early 2009.0 package (before pixel changes)
- improved description
- add missing dot at end of description

* Tue Apr 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.9.0-1mdv2009.0
+ Revision: 194151
- Update to version 0.9.0.

* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.8.1-6mdv2008.1
+ Revision: 166133
- Attempt fix:
  [around 1k lines or messages]
  Submission errors, aborting:
- x11-driver-video-sisusb-0.8.1-6mdv2008.1.src:
 - description-line-too-long The X.org video driver for SiS video chips connected via a Net2280-based USB dongle.
  /export/home/repsys/@166112:x11-driver-video-sisusb-0.8.1-6mdv2008.1.src.rpm
  error performing action submit: Error during submission: 256
 at /usr/bin/mdvsys line 536
- Revert to use upstream tarball and remove local patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.8.1-5mdv2008.1
+ Revision: 156621
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.8.1-4mdv2008.1
+ Revision: 154793
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Note local tag xf86-video-sisusb-0.8.1@mandriva suggested on upstream
  Tag at git checkout ec1d219d933d865f107b68566ea5bb87f3521b22
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 16 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.8.1-3mdv2008.1
+ Revision: 99047
- minor spec cleanup
- build against new xserver (1.4)

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-2mdv2008.0
+ Revision: 75787
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages


* Mon Jun 05 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-05 21:11:32 (36659)
- new upstream release

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Tue May 30 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-30 15:39:01 (31704)
- fill in summary & descriptions for all video drivers

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

